%global         pypi_name pip-shims
%global         _description %{expand:This is library used by pipenv.
Author recommends that nothing else than pipenv should depend on this.}

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        1%{?dist}
License:        ISC
URL:            https://github.com/sarugaku/pip-shims
Source0:        https://github.com/sarugaku/pip-shims/archive/%{version}/pip-shims-%{version}.tar.gz
BuildArch:      noarch
Summary:        Pip-shims is a set of compatibility access shims to the pip internal API

%description
%{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
#Requires:       python3-pip
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
# skipping tests which needs the internet
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest -k 'not test_resolution \
and not test_get_packagefinder and not test_resolve and not test_wheelbuilder'

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pip_shims-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/pip_shims/

%changelog
* Fri Apr 03 2020 Lumír Balhar <lbalhar@redhat.com> - 0.5.1-1
- Update to 0.5.1 (#1817967)
- Clean skipped tests

* Fri Feb 07 2020 Patrik Kopkan <pkopkan@redhat.com> - 0.3.2-4
- Temporarly skip tests: test_abstract_dist, test_vcs_support

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3.2-2
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Tue Aug 13 2019 Patrik Kopkan <pkopkan@redhat.com> - 0.3.2
- initial package
